## org.freedesktop.UDisks2.Swapspace

org.freedesktop.UDisks2.Swapspace — Block device containing swap data

## Methods

    Start    (IN  a{sv} options);
    Stop     (IN  a{sv} options);
    SetLabel (IN  s     label,
              IN  a{sv} options);

## Properties

    Active  readable   b

## Description

This interface is used for org.freedesktop.UDisks2.Block devices that contain swap space.

## Method Details

### The Start() method

    Start (IN  a{sv} options);

Activates the swap device.

`IN a{sv} `options``: | Options (currently unused except for standard options).

### The Stop() method

    Stop (IN  a{sv} options);

Deactivates the swap device.

`IN a{sv} `options``: | Options (currently unused except for standard options).

### The SetLabel() method

    SetLabel (IN  s     label,
              IN  a{sv} options);

Set label for the swap device.

`IN s `label``: | The label to set.
`IN a{sv} `options``: | Options (currently unused except for standard options).

## Property Details

### The "Active" property

    Active  readable   b

Set to `TRUE` if the device is currently in use by the OS.